## f-el 0.17.3

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

all: test

test: clean-elc
	${MAKE} unit
	${MAKE} compile
	${MAKE} unit
	${MAKE} clean-elc

unit:
	${CASK} exec ert-runner

docs:
	${CASK} exec ${EMACS} -Q --script bin/docs.el

compile:
	${CASK} exec ${EMACS} -Q -batch -f batch-byte-compile f.el

clean-elc:
	rm -f f.elc

.PHONY:	all test docs unit

=== debian/changelog ===
f-el (0.17.3-1) unstable; urgency=medium

  * Initial release. (Closes: #807882)

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Dec 2015 21:49:16 -0700

=== debian/control ===
Source: f-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), s-el (>= 1.9.0), dash-el (>= 2.11.0)
Standards-Version: 3.9.6
Homepage: https://github.com/rejeep/f.el
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/f-el.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/f-el.git/

Package: elpa-f
Architecture: all
Depends: ${misc:Depends}, emacs, s-el (>= 1.9.0), dash-el (>= 2.11.0)
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: modern API for working with files and directories in Emacs Lisp
 f.el provides numerous useful functions for working with files and
 directories in Emacs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	true
override_dh_auto_test:
	emacs --batch -Q \
		-L . -L test \
		-L /usr/share/emacs24/site-lisp/elpa/shut-up-* \
		-L /usr/share/emacs24/site-lisp/elpa/undercover-* \
		-L /usr/share/emacs/site-lisp/dash-el \
		-L /usr/share/emacs/site-lisp/s-el \
		-l test/f-init.el \
		-l test/test-helper.el \
		-l test/f-destructive-test.el \
		-l test/f-io-test.el \
		-l test/f-misc-test.el \
		-l test/f-paths-test.el \
		-l test/f-predicates-test.el \
		-l test/f-sandbox-test.el \
		-l test/f-stats-test.el \
		--eval "(ert-run-tests-batch-and-exit)"
	rm -r test/playground

## f-el 0.18.2

=== debian/changelog ===
f-el (0.18.2-1) unstable; urgency=medium

  * Package new upstream release.
  * Refresh Package-Requires patch.
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 Apr 2016 18:37:34 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), s-el (>= 1.9.0), dash-el (>= 2.11.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/rejeep/f.el
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/f-el.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/f-el.git/

## f-el 0.19.0

=== debian/changelog ===
f-el (0.19.0-1) unstable; urgency=medium

  * New upstream release.
    - New build-dependency on elpa-ert-async.
  * Bump to debhelper compat & build-dep to 10.
  * Use dh_elpa_test to run the test suite.
    - Add Testsuite: field.
  * Quilt patch changes:
    - Extract & install upstream changelog from README.md.
    - Apply 0001-Debian-README.patch to README.md.tpl, not README.md.
    - Rename 0003-disable-undercover.patch -> patch-test-runner-for-Debian.patch
    - Fix loading f.el in patch-test-runner-for-Debian.patch
    - Add Forwarded: headers to all patches.
    - Refresh patches.
  * Rebuild README.md from README.md.tpl during package build.
  * Improve extended description.
  * Run `wrap-and-sort -abst`.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Oct 2016 17:14:45 -0700

=== debian/control ===
Source: f-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 dash-el (>= 2.11.0),
 debhelper (>= 10),
 dh-elpa (>= 0.0.17),
 elpa-ert-async,
 s-el (>= 1.9.0),
Standards-Version: 3.9.8
Homepage: https://github.com/rejeep/f.el
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/f-el.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/f-el.git/
Testsuite: autopkgtest-pkg-elpa

Package: elpa-f
Architecture: all
Depends:
 dash-el (>= 2.11.0),
 emacs,
 s-el (>= 1.9.0),
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
 emacs24,
Description: modern API for working with files and directories in Emacs Lisp
 f.el provides numerous useful functions for working with files and
 directories in Emacs Lisp.
 .
 After installation, see /usr/share/doc/elpa-f/README.md.gz for full
 API documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

# Regenerate the API reference.  This is from upstream's Makefile,
# with cask stripped and dash and s-el made available
override_dh_auto_build:
	emacs --batch -Q \
		-L /usr/share/emacs/site-lisp/dash-el \
		-L /usr/share/emacs/site-lisp/s-el \
		-l bin/docs.el

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## f-el 0.20.0

=== debian/changelog ===
f-el (0.20.0-3) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * Update Maintainer to use new Debian Emacsen team name and email address.
  * Update Vcs links to use salsa and not alioth.
  * Drop emacs25 from Enhances; it is a dummy transitional package that
    points to emacs.

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:25:10 -0400

f-el (0.20.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 31 Aug 2019 10:10:38 -0300

f-el (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop extract-changelog-from-README.patch.
    Obsoleted by upstream changes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Jan 2018 16:59:15 -0700

f-el (0.19.0-3) unstable; urgency=medium

  * Team upload.
  * Update package to current pkg-emacsen standards.
  * debian/control:
    - Remove trailing commas.
    - Bump standards version to 4.1.1 (no changes needed).
    - Drop depends emacs.
    - Drop enhances emacs24
    - Drop Build-Using: ${misc:Built-Using}
    
 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Oct 2017 22:18:26 -0400

f-el (0.19.0-2) unstable; urgency=high

  * Update dh_auto_build override to use s.el and dash.el as installed by
    elpa-s and elpa-dash (Closes: #865295).
    Thank you to Adrian Bunk for noticing that this needed to be done.
  * Update build dependencies:
    - dash-el => elpa-dash
    - s-el => elpa-s.
  * Update binary package dependencies:
    - Replace s-el and dash-el entries with ${elpa:Depends}.
    - Drop 0003-remove-Package-Requires.patch
      Obsoleted by switching to depend on elpa-s and elpa-dash.
    - Tighten build-dep on dh-elpa to (>= 1.7).
      Ensures that elpa-s and elpa-dash dependencies are included in
      ${elpa:Depends}.
  * Drop d/source/options for dgit.
    Although dgit does not require dropping this file, it serves no
    purpose and gets in the way of uploading.
  * Drop stray '--parallel' from d/rules.
    Implicit at compat 10.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Jun 2017 13:00:51 +0100

=== debian/control ===
Source: f-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>
Build-Depends:
 elpa-dash (>= 2.11.0),
 debhelper (>= 10),
 dh-elpa (>= 1.7),
 elpa-ert-async,
 elpa-s (>= 1.9.0)
Standards-Version: 4.1.1
Homepage: https://github.com/rejeep/f.el
Vcs-Git: https://salsa.debian.org/emacsen-team/f-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/f-el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-f
Architecture: all
Depends:
 ${misc:Depends},
 ${elpa:Depends}
Recommends:
 emacs (>= 46.0)
Enhances:
 emacs
Description: modern API for working with files and directories in Emacs Lisp
 f.el provides numerous useful functions for working with files and
 directories in Emacs Lisp.
 .
 After installation, see /usr/share/doc/elpa-f/README.md.gz for full
 API documentation.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/f.el-$1\.tar\.gz/ \
  https://github.com/rejeep/f.el/tags .*/v?(\d\S*)\.tar\.gz

## f-el 0.20.0+git20230823.1.ab3ee38

=== Makefile ===
# -*- indent-tabs-mode: t -*-
export EMACS ?= $(shell which emacs)
CASK ?= $(shell which cask)

all: test

test: clean-elc
	${MAKE} unit
	${MAKE} compile
	${MAKE} unit
	${MAKE} clean-elc

unit:
	${CASK} exec ert-runner

docs:
	${CASK} exec ${EMACS} -Q --script bin/docs.el

compile:
	${CASK} build

clean-elc:
	rm -f f.elc

install-deps:
	${CASK} install

.PHONY:	all test docs unit install-deps

=== debian/changelog ===
f-el (0.20.0+git20230823.1.ab3ee38-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:31:02 +0900

f-el (0.20.0+git20230823.1.ab3ee38-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1052937).
  * Drop our edits to .gitignore.
  * Add d/source/options and d/source/patch-header for dgit-maint-merge(7).
  * Refresh & squash down existing patches.
    - Stop patching out Contributions section of README.
  * d/rules: Stop regenerating the API reference for now.
  * d/docs: Update README.md -> README.org.
  * d/rules: Update CHANGELOG.md -> CHANGELOG.org.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Oct 2023 13:05:10 +0100

## f-el 0.21.0

=== debian/changelog ===
f-el (0.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Oct 2024 09:28:03 +0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.org
